Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jdesktop.swingx.renderer
Class LocalizableStringValue

    java.lang.Object
      org.jdesktop.swingx.renderer.LocalizableStringValue

All Implemented Interfaces:
  java.io.Serializable, StringValue

    public class LocalizableStringValue

extends java.lang.Object
implements StringValue

A StringValue which looks up localized String representations for objects.

See Also:
  Serialized Form

Constructor Summary
`LocalizableStringValue(java.util.Map<java.lang.Object,java.lang.String> lookup)` Instantiates a LocaleStringValue which looks up localized String representations for items in the map using the JComponent defaultLocale.
`LocalizableStringValue(java.util.Map<java.lang.Object,java.lang.String> lookup, java.util.Locale locale)` Instantiates a LocaleStringValue which looks up localized String representations for items in the map using the given Locale.

Method Summary
`java.util.Locale` | `getLocale()` Returns the Locale to use for lookup, guaranteed to be not null.
`java.lang.String` | `getString(java.lang.Object value)` Returns a string representation of the given value.
`void` | `setLocale(java.util.Locale locale)` Sets the Locale to use for lookup of localized string representation.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LocalizableStringValue

    public LocalizableStringValue(java.util.Map<java.lang.Object,java.lang.String> lookup)

  Instantiates a LocaleStringValue which looks up localized String representations for items in the map using the JComponent defaultLocale.

  Parameters:
    `lookup` - a map containing Entries of objects and a string key to look up its string representation in the UIManager

### LocalizableStringValue

    public LocalizableStringValue(java.util.Map<java.lang.Object,java.lang.String> lookup,
                                  java.util.Locale locale)

  Instantiates a LocaleStringValue which looks up localized String representations for items in the map using the given Locale.

  Parameters:
    `lookup` - a map containing Entries of objects and a string key to look up its string representation in the UIManager
    `locale` - the locale to lookup the localized strings, may be null to denote using JComponent.defaultLocale

Method Detail

### getString

    public java.lang.String getString(java.lang.Object value)

  Description copied from interface: `StringValue`
  Returns a string representation of the given value.

  PENDING JW: forgot - why not null return guaranteed?

  Specified by:
    `getString` in interface `StringValue`
  Parameters:
    `value` - the object to present as a string
  Returns:
    a string representation of the given value, guaranteed to be not null

### setLocale

    public final void setLocale(java.util.Locale locale)

  Sets the Locale to use for lookup of localized string representation.

  Parameters:
    `locale` - the locale to lookup the localized strings, may be null to denote using Locale's default.

### getLocale

    public java.util.Locale getLocale()

  Returns the Locale to use for lookup, guaranteed to be not null. If the initial setting had been null, returns current Locale's default.

  Returns:
    the Locale used for lookup.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010. All Rights Reserved.